Subject: Re: bug#11135: gravatar slowdown

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Tue, 10 Apr 2012 20:10:34 +0200

Dave Abrahams <[email-masked]> writes:

> With gnus-treat-from-gravatar and gnus-treat-mail-gravatar set, I am
> experiencing intolerable slowdowns... and have been for about a week.
> For example, here's (the top of) an ELP profile from viewing a single
> message.  I assume something relevant must have changed in the code
> recently?

Not that I know of...

> gnus-summary-next-unread-article                                              1           30.152667     30.152667

Eek.

> gnus-gravatar-transform-address                                               3           30.055445     10.018481666
> gravatar-retrieve                                                             8           30.054497     3.756812125

This is rather puzzling.  `gravatar-retrieve' basically just calls
`url-retrieve', and that's an asynchronous function, and shouldn't take
much time at all.

Well, actually, it's not asynchronous if it doesn't manage to resolve
the domain name.  Could that be the problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/